#pragma once
#include "AftrConfig.h"
#ifdef AFTR_CONFIG_USE_VIMBA_X

namespace Aftr
{

class ManagerVimba
{
public:
   static bool init();
   ManagerVimba( ManagerVimba const& toCopy ) = delete;
   ManagerVimba& operator=( ManagerVimba const& toCopyAssign ) = delete;
   ManagerVimba( ManagerVimba && toMove ) = delete;
   ManagerVimba& operator=( ManagerVimba&& toMoveAssign ) = delete;
   ~ManagerVimba();
private:
   ManagerVimba();
   bool successfullyInitialized{ false };
};

}

#endif